summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Daniel LEVAI <leva@ecentrum.hu>2012-11-23 15:25:01 (GMT)
committer dsomero <xgizzmo@slackbuilds.org>2012-11-24 20:36:46 (GMT)
commit07d35caffd119f24ff73100da8e3eeec597529e3 (patch)
treefbc454176b15b73df377b2dc5dec4a6d8751c6f3
parent99e03c77a4dcb27538db5388ace782afafcde88e (diff)
downloadslackbuilds-07d35caffd119f24ff73100da8e3eeec597529e3.tar.gz
system/adobe-source-code-pro-font: Added (adobe monospace font).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--system/adobe-source-code-pro-font/README3
-rw-r--r--system/adobe-source-code-pro-font/adobe-source-code-pro-font.SlackBuild65
-rw-r--r--system/adobe-source-code-pro-font/adobe-source-code-pro-font.info10
-rw-r--r--system/adobe-source-code-pro-font/doinst.sh17
-rw-r--r--system/adobe-source-code-pro-font/slack-desc14
5 files changed, 109 insertions, 0 deletions
diff --git a/system/adobe-source-code-pro-font/README b/system/adobe-source-code-pro-font/README
new file mode 100644
index 0000000..95753c1
--- /dev/null
+++ b/system/adobe-source-code-pro-font/README
@@ -0,0 +1,3 @@
+Source Sans is a set of monospaced OpenType fonts that have been designed to
+work well coding environments. This family of fonts is a complementary design
+to the Source Sans family.
diff --git a/system/adobe-source-code-pro-font/adobe-source-code-pro-font.SlackBuild b/system/adobe-source-code-pro-font/adobe-source-code-pro-font.SlackBuild
new file mode 100644
index 0000000..d29b813
--- /dev/null
+++ b/system/adobe-source-code-pro-font/adobe-source-code-pro-font.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Copyright (c) 2012 Daniel LEVAI
+# All rights reserved.
+#
+# * Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# * Redistributions of source code must retain the above copyright notice
+# this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
+# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=adobe-source-code-pro-font
+VERSION=${VERSION:-1.010}
+SRC=SourceCodePro_FontsOnly-${VERSION}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${SRC}
+unzip $CWD/${SRC}.zip
+cd ${SRC}
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/share/fonts/OTF/
+cp OTF/*.otf $PKG/usr/share/fonts/OTF/
+mkdir -p $PKG/usr/share/fonts/TTF/
+cp TTF/*.ttf $PKG/usr/share/fonts/TTF/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt ReadMe.html SourceCodeProReadMe.html $PKG/usr/doc/$PRGNAM-$VERSION
+chmod a-x $PKG/usr/doc/$PRGNAM-$VERSION/*
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/adobe-source-code-pro-font/adobe-source-code-pro-font.info b/system/adobe-source-code-pro-font/adobe-source-code-pro-font.info
new file mode 100644
index 0000000..aa4a73c
--- /dev/null
+++ b/system/adobe-source-code-pro-font/adobe-source-code-pro-font.info
@@ -0,0 +1,10 @@
+PRGNAM="adobe-source-code-pro-font"
+VERSION="1.010"
+HOMEPAGE="http://sourcecodepro.adobe.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/sourcecodepro.adobe/SourceCodePro_FontsOnly-1.010.zip"
+MD5SUM="b13521e8ff303f6940509f3dde96aec3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="LEVAI Daniel"
+EMAIL="leva@ecentrum.hu"
diff --git a/system/adobe-source-code-pro-font/doinst.sh b/system/adobe-source-code-pro-font/doinst.sh
new file mode 100644
index 0000000..7402289
--- /dev/null
+++ b/system/adobe-source-code-pro-font/doinst.sh
@@ -0,0 +1,17 @@
+# Update mkfontscale and mkfontdir:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/OTF
+ mkfontscale .
+ mkfontdir .
+ )
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+# Update the X font indexes:
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
+
diff --git a/system/adobe-source-code-pro-font/slack-desc b/system/adobe-source-code-pro-font/slack-desc
new file mode 100644
index 0000000..4b5f575
--- /dev/null
+++ b/system/adobe-source-code-pro-font/slack-desc
@@ -0,0 +1,14 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+adobe-source-code-pro-font: adobe-source-code-pro-font
+adobe-source-code-pro-font:
+adobe-source-code-pro-font: A set of monospaced OpenType fonts designed for coding environments.
+adobe-source-code-pro-font:
+adobe-source-code-pro-font: Homepage: http://sourcecodepro.adobe.sourceforge.net/
+adobe-source-code-pro-font: